Subject: Re: bug#22182: 24.5; Org Mode Export

From: "B.V. Raghav" <[email-masked]>
Date: Fri, 18 Dec 2015 05:46:22 +0530

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> John Wiegley <[email-masked]> writes:
>
>> Forward report to Org mailing list, and closing from Emacs bug tracker.
>>
>>>>>>> B V Raghav <[email-masked]> writes:
>>
>>> 1. I open an ORG file, with template headers, default and texinfo template.
>>
>>> 2. I write some simple ascii data to a few tree nodes.
>>
>>> 3. Export using <C-c> <C-e> i i for texinfo
>>
>>> And it crashes with following backtrace (Non-printable characters of
>>> backtrace have been replaced with .):
>>>> Debugger entered--Lisp error: (wrong-type-argument listp #("Modeling notes
>>>> for Mged" 0 23 (:parent (#1)))) org-element-set-contents(#("Modeling notes
>>>> for Mged" 0 23 (:parent (#0)))) apply(org-element-set-contents #("Modeling
>>>> notes for Mged" 0 23 (:parent (#0))) nil) #[(s)
>
> This kind of error was reported already. IIRC, it is a problem on user's
> side (often a mixed installation). 
>
> In particular, upgrade from Org included in Emacs to current stable
> revision requires special care (e.g., Org must not be loaded when
> upgrading the package).

Oh my my... That was in fact the problem! I did a `(kill-emacs)' and
restarted, `emacs --daemon' and the backtrace showed something like
`texinfo not installed on your system'

Now it works perfect. Please close the bug.

> Regards,

Thanks.

-- 
(B.V. Raghav)
Ph.D. Student, Design Programme
Indian Institute of Technology Kanpur

Ph: +91-9450988137